globus_i_ftp_client_handleattr_t Struct Reference
Globus FTP Client API » Handle Attributes

Handle attributes. More...

`#include <globus_i_ftp_client.h>`

## Data Fields

globus_bool_t | cache_all
globus_bool_t | rfc1738_url
globus_bool_t | gridftp2
globus_list_t * | url_cache
globus_list_t * | plugins

## Detailed Description

Handle attributes.

## Field Documentation

globus_bool_t globus_i_ftp_client_handleattr_t::cache_all

Cache all connections.

This attribute is used to cause the ftp client library to keep all control (and where possible) data connections open between ftp operations.

globus_bool_t globus_i_ftp_client_handleattr_t::gridftp2

Use GRIDFTP2 if supported by the server

globus_list_t* globus_i_ftp_client_handleattr_t::plugins

List of plugin structures.

This list contains all plugins which can be associated with an ftp client handle. These plugins will be notified when operations are done using a handle associated with them.

globus_bool_t globus_i_ftp_client_handleattr_t::rfc1738_url

parse all URLs for caching with RFC1738 compliant parser

globus_list_t* globus_i_ftp_client_handleattr_t::url_cache

List of cached URLs.

This list is used to manage the URL cache which is manipulated by the user calling globus_ftp_client_handle_cache_url_state() and globus_ftp_client_handle_flush_url_state().

The documentation for this struct was generated from the following file:

- globus_i_ftp_client.h